<script>
	import homeApi from '@/api/home/index.js'
	export default {
		
		onLaunch: function() {
			console.log('進來了');
			// #ifdef H5
			let siteinfo=require('./siteinfo.js');
			var script = document.createElement('script');
			script.src = siteinfo.h5_siteroot+"/h5/static/js/EasyPlayer-element.min.js?v=202204071988";
			document.body.appendChild(script);
			// #endif
		},
		onShow: function() {
			// console.log('App Show');
			// #ifdef MP-WEIXIN
			const updateManager = uni.getUpdateManager();
			updateManager.onCheckForUpdate(function(res) {
				// 请求完新版本信息的回调
				console.log(res.hasUpdate);
			});
			updateManager.onUpdateReady(function(res) {
				// 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
				updateManager.applyUpdate();
			});
			updateManager.onUpdateFailed(function(res) {
				// 新的版本下载失败
			});
			// #endif
		},
		onHide: function() {

		},
		util: require('./js/util.js'),
		globalData: {
			siteinfo: require('./siteinfo.js')
		},
		methods: {

		}
	};
</script>
<style lang="scss">
	/* 注意要写在第一行，同时给style标签加入lang="scss"属性 */
	@import "@/uni_modules/uview-ui/index.scss";
	@import 'static/css/reset.css';
	@import "static/style/base.scss";
</style>
<style lang="scss">
	body {
		/* #ifdef APP-PLUS || H5 */
		font-family: newfont;
		/* #endif */
	}

	uni-view {
		/* #ifdef APP-PLUS || H5 */
		font-family: newfont;
		/* #endif */
	}

	.all_box {
		min-height: calc(100vh);
		max-width: 750rpx;
		background-color: #f7f7f8;
		/* #ifdef APP-PLUS || H5 */
		font-family: newfont;
		/* #endif */
	}

	/* #ifdef APP-PLUS || H5*/
	@font-face {
		font-family: newfont;
		src: url("~@/static/font/myfont5.otf") format("truetype")
	}

	/* #endif */

	/* 取消默认标题加粗 */
	uni-page-head .uni-page-head__title {
		font-weight: normal;
	}
</style>
<style lang="less">
	@import '@/uni_modules/tob-less/index.less';

	/* A品牌的配色 */
	.theme-A {

		/* 提供配色依赖 */
		.ProvideColors( {
				/* 品牌色 */
				primary: #ff8903;
				/* 按钮 */
				secondary: #ff8903;
				/* 文字主色 */
				accent: #333333;
				/* 文字辅助 */
				auxiliary: #666666;
				/* 文字说明 */
				explain:#999999;
				/* 价格 */
				neutral: #ff0000;
				/* 背景 */
				base: #f7f7f8;

				/* 渐变 */
				gradient1:#fea858;

				gradient2:#ff8903
			}

		);
	}

	/* B品牌的配色 */
	.theme-B {

		/* 提供配色依赖 */
		.ProvideColors( {
				/* 品牌色 */
				primary: #e52340;
				/* 按钮 */
				secondary: #e52340;
				/* 文字主色 */
				accent: #333333;
				/* 文字辅助 */
				auxiliary: #666666;
				/* 文字说明 */
				explain:#999999;
				/* 价格 */
				neutral: #ff0000;
				/* 背景 */
				base: #f7f7f8;

				/* 渐变 */
				gradient1:#fd876f;

				gradient2:#e52340
			}

		);
	}

	/* C的配色 */
	.theme-C {
		.ProvideColors( {
				/* 品牌色 */
				primary: #ffd100;
				/* 按钮 */
				secondary: #ffd100;
				/* 文字主色 */
				accent: #333333;
				/* 文字辅助 */
				auxiliary: #666666;
				/* 文字说明 */
				explain:#999999;
				/* 价格 */
				neutral: #ff0000;
				/* 背景 */
				base: #f7f7f8;

				/* 渐变 */
				gradient1:#f4bb00;

				gradient2:#ffd100
			}

		);
	}

	/* D的配色 */
	.theme-D {
		.ProvideColors( {
				/* 品牌色 */
				primary: #4B086D;
				/* 按钮 */
				secondary: #4B086D;
				/* 文字主色 */
				accent: #333333;
				/* 文字辅助 */
				auxiliary: #666666;
				/* 文字说明 */
				explain:#999999;
				/* 价格 */
				neutral: #ff0000;
				/* 背景 */
				base: #f7f7f8;

				/* 渐变 */
				gradient1:#acc0fe;

				gradient2:#4B086D
			}

		);
	}

	/* E的配色 */
	.theme-E {
		.ProvideColors( {
				/* 品牌色 */
				primary: #014872;
				/* 按钮 */
				secondary: #014872;
				/* 文字主色 */
				accent: #333333;
				/* 文字辅助 */
				auxiliary: #666666;
				/* 文字说明 */
				explain:#999999;
				/* 价格 */
				neutral: #ff0000;
				/* 背景 */
				base: #f7f7f8;

				/* 渐变 */
				gradient1:#a0eacf;

				gradient2:#014872
			}

		);
	}

	/* F的配色 */
	.theme-F {
		.ProvideColors( {
				/* 品牌色 */
				primary: #067d68;
				/* 按钮 */
				secondary: #067d68;
				/* 文字主色 */
				accent: #333333;
				/* 文字辅助 */
				auxiliary: #666666;
				/* 文字说明 */
				explain:#999999;
				/* 价格 */
				neutral: #ff0000;
				/* 背景 */
				base: #f7f7f8;

				/* 渐变 */
				gradient1:#50d5b7;

				gradient2:#067d68
			}

		);
	}

	/* F的配色 */
	.theme-G {
		.ProvideColors( {
				/* 品牌色 */
				primary: #56AB2F;
				/* 按钮 */
				secondary: #56AB2F;
				/* 文字主色 */
				accent: #333333;
				/* 文字辅助 */
				auxiliary: #666666;
				/* 文字说明 */
				explain:#999999;
				/* 价格 */
				neutral: #ff0000;
				/* 背景 */
				base: #f7f7f8;

				/* 渐变 */
				gradient1:#56AB2F;

				gradient2:#56AB2F
			}

		);
	}
</style>
